# Uses of Class
java.awt.KeyboardFocusManager

Packages that use KeyboardFocusManager
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of KeyboardFocusManager in java.awt

Subclasses of KeyboardFocusManager in java.awt
Modifier and Type
Class
Description
`class`
`DefaultKeyboardFocusManager`
The default KeyboardFocusManager for AWT applications.
Methods in java.awt that return KeyboardFocusManager
Modifier and Type
Method
Description
`static KeyboardFocusManager`
KeyboardFocusManager.`getCurrentKeyboardFocusManager()`
Returns the current KeyboardFocusManager instance for the calling thread's context.
Methods in java.awt with parameters of type KeyboardFocusManager
Modifier and Type
Method
Description
`static void`
KeyboardFocusManager.`setCurrentKeyboardFocusManager​(KeyboardFocusManager newManager)`
Sets the current KeyboardFocusManager instance for the calling thread's context.

## Uses of KeyboardFocusManager in javax.swing

Subclasses of KeyboardFocusManager in javax.swing
Modifier and Type
Class
Description
`class`
`DefaultFocusManager`
This class has been obsoleted by the 1.4 focus APIs.
`class`
`FocusManager`
This class has been obsoleted by the 1.4 focus APIs.